# API Documentation

We use [Swagger](https://django-rest-swagger.readthedocs.io/en/latest/) to document the API's. To view, simply run **/docs** when running the codebase locally or any environment of UNPP as well.

### Code flow

**Github** - branches develop and master are monitored for all changes (pushes) with codefresh hooks

**Codefresh** - after successful push to monitored branch, codefresh starts to build docker images based on new code -> puts some basic tests against new images -> pushes new images to docker hub

**Docker Cloud -** monitors new images on docker hub, get them and deploy accordingly to defined configuration -> application deployed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://unicef.gitbook.io/unpp/technical-documentation/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
